Package org.eclipse.net4j.util.ref

## Interface KeyedReference<K,​T>

- All Known Implementing Classes:
    `KeyedPhantomReference`, `KeyedSoftReference`, `KeyedStrongReference`, `KeyedWeakReference`

      public interface KeyedReference<K,​T>

  Author:
    Eike Stepper
  See Also:
    `Reference`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `boolean` | `enqueue()` |
    `T` | `get()` |
    `K` | `getKey()` |
    `ReferenceType` | `getType()` |
    `boolean` | `isEnqueued()` |

- - ### Method Detail

    - #### getType

          ReferenceType getType()

    - #### getKey

          K getKey()

    - #### get

          T get()

      See Also:
        `Reference.get()`

    - #### clear

          void clear()

      See Also:
        `Reference.clear()`

    - #### isEnqueued

          boolean isEnqueued()

      See Also:
        `Reference.isEnqueued()`

    - #### enqueue

          boolean enqueue()

      See Also:
        `Reference.enqueue()`